<p>As you work on tickets you will start receiving emails about them. To reduce the number of notifications:</p>
<h3>Setup email filters</h3>
<p>By default your emails are all going to your inbox, including a lot of automated notifications from tools such as Jira, github, the mailing lists and the forums. These emails don't all have the same priority, and the <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/roles/#communication">expected read &amp; response times</a>❗</span> vary a lot - from mandatory within 24h, to completely optional. It's important to filter your email to different folders, based on type and on how frequently you need to read them, to be able to batch process them as much as possible, and focus on the important ones.</p>
<p>I.e., you might want to have:</p>
<ul>
<li>To process <strong>1-2 times/day</strong>:</li>
<ul>
<li><span style="text-decoration: underline;">Inbox</span>: Emails explicitly addressed to you, i.e. direct emails from clients and other team members, excluding automated tools notifications</li>
<li><span style="text-decoration: underline;">Pings</span>: Notifications from tools like Jira or Gitlab, mentioning/pinging you explicitly, ie only if your @username is mentioned in the body of the email. Because other people (including your reviewer) might have set it up in this way too, always mention the username when you address them directly, so that they are notified.</li>
<li><span style="text-decoration: underline;">Announcements</span>: The <a href="https://forum.opencraft.com/c/announcements">announcement category</a> from the forum</li>
</ul>
<li>To process <strong>1-2 times/sprint</strong>:</li>
<ul>
<li>Internal forums: The other internal discussion forums threads, except maybe "Off-topic"</li>
</ul>
<li>Messages you don't need to process as a newcomer - <strong>this will be only required after your onboarding period is
    over, when you are <a href="https://handbook.opencraft.com/en/latest/glossary/#firefighting">firefighter</a> (then, 1-2 times/day)</strong>:</li>
<ul>
<li>Help &amp; urgent: The help@ and urgent@ mailing lists</li>
<li>Official forums: the <a href="https://discuss.openedx.org/">Open edX public forums</a>, as part of the community duty role</li>
</ul>
<li>Other: All the rest, such as tools notifications without explicit pings, should go to another folder, which you don't read, unless you're looking for something specific.</li>
</ul>
<p>You can find a few examples of filters in <span style="background-color: #fff5e5;"><a href="https://private.doc.opencraft.com/howtos/gmail-filters/#gmail-filters">Gmail filter out emails</a>❗</span>.</p>
<p>Generally you want to try spending as little time in your mailer as possible. So disable instant notifications, and only go there 1-2 times per day, process everything to get to inbox 0, but only in the folders you need to have read on that day.</p>
<h4>Announcement vs discussion forums</h4>
<p>The <a href="https://forum.opencraft.com/c/announcements">announcement category from the forum</a> has a different read/response time requirements than the other forum posts - like any email or direct ping, the announcements forum should be read and replied to within 24h, while the other forum posts have a response time of 2 weeks.</p>
<p>To differentiate between the two, you can filter them using the <span style="font-family: courier new, courier;">Mailing-List-ID: &lt;announcements.forum.opencraft.com&gt;</span> header. If you don&rsquo;t want to be spammed by the following discussions, you can set the category to &ldquo;Watching first post&rdquo; a from the <a href="https://forum.opencraft.com/c/announcements">announcement category page</a>:</p>
<p><img src="/static/forum-watching-category.png" alt="Watch configuration for forum category" class="shrinkToFit" style="display: block; margin-left: auto; margin-right: auto;" width="300" /></p>
<h4>Reducing notifications volume</h4>
<p>Besides filtering, another great way to reduce the amount of emails you have to process is to cut them at the source - a lot of tools setup many notifications automatically, which may not always be relevant.</p>
<p>Jira is one of the worst offenders, so it's worth unsubscribing from JIRA tickets and Github notifications that do not relate to what you're working on. If the volume of notifications from Jira is becoming unwieldly because of this, you can <a href="https://tasks.opencraft.com/issues/?jql=watcher%20%3D%20currentUser()">search for all the issues you are currently watching</a>:</p>
<p><img src="/static/jira-bulk-edit.png" alt="Bulk edit" class="shrinkToFit" style="display: block; margin-left: auto; margin-right: auto;" width="400" /></p>
<p>And then use the bulk edit feature to selectively unwatch the issues you don't want to be notified about:</p>
<p><img src="/static/jira-bulk-edit-unwatch.png" alt="Bulk edit unwatch" class="shrinkToFit" style="display: block; margin-left: auto; margin-right: auto;" width="800" /></p>
<p>In <a href="https://handbook.opencraft.com/en/latest/glossary/#mattermost">Mattermost</a>, you can also restrict notifications to mentions and direct mentions in Account Settings &gt; Notifications.</p>
<p>Another tip: emails aren't the only source of distraction and interruptions during the day. Consider disabling notifications (such as your phone, or messaging/chat apps) while you are working, especially on deep tasks such as development.</p>

<h3>Setup notifications for documentation changes</h3>
<p>Our documentation as well as the onboarding course are constantly evolving, so you should subscribe to the Gitlab <a href="https://gitlab.com/opencraft/documentation">documentation</a> group by clicking on the "bell", then on "Watch" to get notified for any change made.</p>
